package rocks.zipcode.io.quiz3.arrays;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author leon on 09/12/2018.
 */
public class SquareArrayAnalyzer {
    public static Boolean compare(Integer[] input, Integer[] squaredValues) {

        if(input.length != squaredValues.length) return false;

        ArrayList<Integer> arrList = new ArrayList<>(Arrays.asList(input));
        ArrayList<Integer> squarelist = new ArrayList<>(Arrays.asList(squaredValues));

        for (Integer i: arrList) {
            if (!squarelist.contains(i*i)) return false;
        }

        return true;
    }
}
