package rocks.zipcode.io.quiz3.collections;

import rocks.zipcode.io.quiz3.objectorientation.enums.LabStatus;

/**
 * @author leon on 10/12/2018.
 */
public class Lab implements Comparable {

    String name;
    String labStatus;
    Boolean forked=false;

    public Boolean getForked() {
        return forked;
    }

    public void setForked(Boolean forked) {
        this.forked = forked;
    }

    public Lab() {
        this("RandomLab");
    }

    public Lab(String labName) {
        this.name=labName;
    }

    public String getLabStatus() {
        return labStatus;
    }

    public void setLabStatus(String labStatus) {
        this.labStatus=labStatus;
    }

    public String getName() {
        return this.name;
    }

    @Override
    public int compareTo(Object o) {
        Lab obj = (Lab) o;
        if(this.getName().charAt(0)> obj.getName().charAt(0)) return -1;
        return 1;

    }
}
