package rocks.zipcode.io.quiz3.generics;

import java.util.Arrays;
import java.util.function.Function;

/**
 * @author leon on 09/12/2018.
 */
public class ArrayUtility<SomeType> {
    private final SomeType[] array;

    public ArrayUtility(SomeType[] array) {
        this.array = array;
    }

    public SomeType findOddOccurringValue() {
        for (SomeType thing: array) {
            if(getNumberOfOccurrences(thing)%2==1) return thing;
        }
        return null;
    }

    public SomeType findEvenOccurringValue() {
        for (SomeType thing: array) {
            if(getNumberOfOccurrences(thing)%2==0) return thing;
        }
        return null;
    }

    public Integer getNumberOfOccurrences(SomeType valueToEvaluate) {
        Integer i = 0;
        for (SomeType thing: array) {
            if(thing.equals(valueToEvaluate)) i++;
        }
        return i;
    }

    public SomeType[] filter(Function<SomeType, Boolean> predicate) {

        Class classDeclare = array[0].getClass().getComponentType();
        SomeType[] arr =  (SomeType[]) Arrays.stream(array).map(predicate).toArray();

        return arr;
    }
}
